Bug 1303441 - package owns /etc/bash_completion.d but it should not own it
package owns /etc/bash_completion.d but it should not own it
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: opensc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 13:38 EST by Germano Massullo
Modified: 2016-11-28 06:59 EST (History)
7 users (show)

See Also:
Fixed In Version: opensc-0.16.0-2.20161016git0362439.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1303440
Environment:
Last Closed: 2016-11-28 06:59:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed dist git patch (after the bug #1350588) (2.11 KB, patch)
2016-07-11 11:15 EDT, Jakub Jelen
no flags Details | Diff

  None (edit)
Description Germano Massullo 2016-01-31 13:38:08 EST
Description of problem:
The package owns /etc/bash_completion.d directory that is already owned by "filesystem" package.

Problem triggered by line
%{_sysconfdir}/bash_completion.d/
at
http://pkgs.fedoraproject.org/cgit/rpms/opensc.git/tree/opensc.spec#n94
You can fix it by replacing it with
%{_sysconfdir}/bash_completion.d/%{name}
Comment 1 Jakub Jelen 2016-07-11 11:14:31 EDT
Referenced mail with discussion about this topic on Fedora Devel Mailing list [1].

Will this mean that opensc should manually depend on filesystem package? I don't see this dependency on the package built in mock (f23).

Real solution should be

    %{_sysconfdir}/bash_completion.d/*

(we provide more tools with bask completion)


More proper way would be to move the files under the

    /usr/share/bash-completion/completions/

(since we touch that) where are most of the other tools already. It would also need a change in the

    doc/tools/Makefile.am

to generate the files to the proper directory. Nikos, what do you think about that?

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/6CEBPSYCHIGACH2HV3XOVYHPMQDAJG4X/#6CEBPSYCHIGACH2HV3XOVYHPMQDAJG4X
Comment 2 Jakub Jelen 2016-07-11 11:15 EDT
Created attachment 1178444 [details]
Proposed dist git patch (after the bug #1350588)
Comment 3 Igor Gnatenko 2016-09-13 11:05:40 EDT
any news here?
Comment 4 Jakub Jelen 2016-09-14 04:37:59 EDT
Igor, there were a lot of questions asked in the comment #1 and none of them is answered nor commented on yet. I can just fix the bug with minimal effort as proposed:

    /etc/bash_completion.d/*

or give it some more time to modify upstream sources and install them in:

    /usr/share/bash-completion/completions/

AFAIK, we don't have any strict policy for this, but storing non-configuration in  /etc/  is discouraged. I would be glad for some other comment from somebody more experienced. If nothing will show up, I will push some change with the next update.
Comment 5 Fedora End Of Life 2016-11-24 10:19:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jakub Jelen 2016-11-28 06:59:54 EST
already in rawhide

Note You need to log in before you can comment on or make changes to this bug.